=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -28,6 +29,7 @@
 Multi-Arch: same
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
+         qml6-module-org-kde-networkmanager (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
@@ -62,7 +64,7 @@
 Package: qml6-module-org-kde-networkmanager
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt wrapper for NetworkManager - QML module
  Qt wrapper for NetworkManager DBus API.
  .
