=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
 Rules-Requires-Root: no
 
 Package: libkf6networkmanagerqt-dev
@@ -30,7 +29,7 @@
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
          qml6-module-org-kde-networkmanager (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for NetworkManager - devel files
